using System;

class Program
{
    static int BinarnaPretraga(int X, int[] glasovi, int levi, int desni, ref bool prisutan)
    {
        while (desni >= levi)
        {
            int srednji = levi + (desni - levi) / 2;
            if (glasovi[srednji] > X)
            {
                desni = srednji - 1;
            }
            else if (glasovi[srednji] < X)
            {
                levi = srednji + 1;
            }
            else
            {
                return srednji;
            }
        }
        prisutan = false;
        return levi;
    }

    static int BrojGlasova(int X, int N, int[] glasovi)
    {
        bool prisutan = true;
        int vrednost = BinarnaPretraga(X, glasovi, 0, N - 1, ref prisutan);
        if (vrednost == (prisutan == false ? N + 1 : N) / 2)
        {
            return prisutan ? 0 : 1;
        }
        return ((vrednost > (prisutan == false ? N + 1 : N) / 2) ? 1 : -1) * (2 *
            vrednost - N - (X > glasovi[N - 1] ? 1 : 0)) + (prisutan ? 0 : 1);
    }
    static void Main()
    {
        string[] brojevi = Console.ReadLine().Split(' ');
        int N = int.Parse(brojevi[0]);
        int Q = int.Parse(brojevi[1]);

        int[] glasovi = new int[N];
        string[] a = Console.ReadLine().Split(' ');
        for (int i = 0; i < N; i++)
            glasovi[i] = int.Parse(a[i]);

        Array.Sort(glasovi);

        string[] b = Console.ReadLine().Split(' ');
        for (int i = 0; i < Q; i++)
        {
            int X = int.Parse(b[i]);
            Console.WriteLine(BrojGlasova(X, N, glasovi));
        }

        Console.ReadLine();
    }
}